<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class WebNotificationsInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $timestamp = null;
    


    protected $unreadChats = null;
    


    protected $notifyMessageCount = null;
    


    private $notifyMessages;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTimestamp()
    {
        return isset($this->timestamp) ? $this->timestamp : 0;
    }

    public function hasTimestamp()
    {
        return isset($this->timestamp);
    }

    public function clearTimestamp()
    {
        unset($this->timestamp);
    }

    




    public function setTimestamp($var)
    {
        GPBUtil::checkUint64($var);
        $this->timestamp = $var;

        return $this;
    }

    



    public function getUnreadChats()
    {
        return isset($this->unreadChats) ? $this->unreadChats : 0;
    }

    public function hasUnreadChats()
    {
        return isset($this->unreadChats);
    }

    public function clearUnreadChats()
    {
        unset($this->unreadChats);
    }

    




    public function setUnreadChats($var)
    {
        GPBUtil::checkUint32($var);
        $this->unreadChats = $var;

        return $this;
    }

    



    public function getNotifyMessageCount()
    {
        return isset($this->notifyMessageCount) ? $this->notifyMessageCount : 0;
    }

    public function hasNotifyMessageCount()
    {
        return isset($this->notifyMessageCount);
    }

    public function clearNotifyMessageCount()
    {
        unset($this->notifyMessageCount);
    }

    




    public function setNotifyMessageCount($var)
    {
        GPBUtil::checkUint32($var);
        $this->notifyMessageCount = $var;

        return $this;
    }

    



    public function getNotifyMessages()
    {
        return $this->notifyMessages;
    }

    




    public function setNotifyMessages($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\WebMessageInfo::class);
        $this->notifyMessages = $arr;

        return $this;
    }

}

